Index: code/trunk/src/ois/CMakeLists.txt
===================================================================
--- code/trunk/src/ois/CMakeLists.txt	(revision 1504)
+++ code/trunk/src/ois/CMakeLists.txt	(revision 1505)
Index: code/trunk/src/ois/OIS.h
===================================================================
--- code/trunk/src/ois/OIS.h	(revision 1504)
+++ code/trunk/src/ois/OIS.h	(revision 1505)
Index: code/trunk/src/ois/OISConfig.h
===================================================================
--- code/trunk/src/ois/OISConfig.h	(revision 1504)
+++ code/trunk/src/ois/OISConfig.h	(revision 1505)
Index: code/trunk/src/ois/OISEffect.cpp
===================================================================
--- code/trunk/src/ois/OISEffect.cpp	(revision 1504)
+++ code/trunk/src/ois/OISEffect.cpp	(revision 1505)
Index: code/trunk/src/ois/OISEffect.h
===================================================================
--- code/trunk/src/ois/OISEffect.h	(revision 1504)
+++ code/trunk/src/ois/OISEffect.h	(revision 1505)
Index: code/trunk/src/ois/OISEvents.h
===================================================================
--- code/trunk/src/ois/OISEvents.h	(revision 1504)
+++ code/trunk/src/ois/OISEvents.h	(revision 1505)
Index: code/trunk/src/ois/OISException.cpp
===================================================================
--- code/trunk/src/ois/OISException.cpp	(revision 1504)
+++ code/trunk/src/ois/OISException.cpp	(revision 1505)
Index: code/trunk/src/ois/OISException.h
===================================================================
--- code/trunk/src/ois/OISException.h	(revision 1504)
+++ code/trunk/src/ois/OISException.h	(revision 1505)
Index: code/trunk/src/ois/OISFactoryCreator.h
===================================================================
--- code/trunk/src/ois/OISFactoryCreator.h	(revision 1504)
+++ code/trunk/src/ois/OISFactoryCreator.h	(revision 1505)
Index: code/trunk/src/ois/OISForceFeedback.cpp
===================================================================
--- code/trunk/src/ois/OISForceFeedback.cpp	(revision 1504)
+++ code/trunk/src/ois/OISForceFeedback.cpp	(revision 1505)
Index: code/trunk/src/ois/OISForceFeedback.h
===================================================================
--- code/trunk/src/ois/OISForceFeedback.h	(revision 1504)
+++ code/trunk/src/ois/OISForceFeedback.h	(revision 1505)
Index: code/trunk/src/ois/OISInputManager.cpp
===================================================================
--- code/trunk/src/ois/OISInputManager.cpp	(revision 1504)
+++ code/trunk/src/ois/OISInputManager.cpp	(revision 1505)
Index: code/trunk/src/ois/OISInputManager.h
===================================================================
--- code/trunk/src/ois/OISInputManager.h	(revision 1504)
+++ code/trunk/src/ois/OISInputManager.h	(revision 1505)
Index: code/trunk/src/ois/OISInterface.h
===================================================================
--- code/trunk/src/ois/OISInterface.h	(revision 1504)
+++ code/trunk/src/ois/OISInterface.h	(revision 1505)
Index: code/trunk/src/ois/OISJoyStick.cpp
===================================================================
--- code/trunk/src/ois/OISJoyStick.cpp	(revision 1504)
+++ code/trunk/src/ois/OISJoyStick.cpp	(revision 1505)
Index: code/trunk/src/ois/OISJoyStick.h
===================================================================
--- code/trunk/src/ois/OISJoyStick.h	(revision 1504)
+++ code/trunk/src/ois/OISJoyStick.h	(revision 1505)
Index: code/trunk/src/ois/OISKeyboard.cpp
===================================================================
--- code/trunk/src/ois/OISKeyboard.cpp	(revision 1504)
+++ code/trunk/src/ois/OISKeyboard.cpp	(revision 1505)
Index: code/trunk/src/ois/OISKeyboard.h
===================================================================
--- code/trunk/src/ois/OISKeyboard.h	(revision 1504)
+++ code/trunk/src/ois/OISKeyboard.h	(revision 1505)
Index: code/trunk/src/ois/OISMouse.h
===================================================================
--- code/trunk/src/ois/OISMouse.h	(revision 1504)
+++ code/trunk/src/ois/OISMouse.h	(revision 1505)
Index: code/trunk/src/ois/OISObject.cpp
===================================================================
--- code/trunk/src/ois/OISObject.cpp	(revision 1504)
+++ code/trunk/src/ois/OISObject.cpp	(revision 1505)
Index: code/trunk/src/ois/OISObject.h
===================================================================
--- code/trunk/src/ois/OISObject.h	(revision 1504)
+++ code/trunk/src/ois/OISObject.h	(revision 1505)
Index: code/trunk/src/ois/OISPrereqs.h
===================================================================
--- code/trunk/src/ois/OISPrereqs.h	(revision 1504)
+++ code/trunk/src/ois/OISPrereqs.h	(revision 1505)
Index: code/trunk/src/ois/ReadMe.txt
===================================================================
--- code/trunk/src/ois/ReadMe.txt	(revision 1504)
+++ code/trunk/src/ois/ReadMe.txt	(revision 1505)
Index: code/trunk/src/ois/linux/EventHelpers.cpp
===================================================================
--- code/trunk/src/ois/linux/EventHelpers.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/EventHelpers.cpp	(revision 1505)
Index: code/trunk/src/ois/linux/EventHelpers.h
===================================================================
--- code/trunk/src/ois/linux/EventHelpers.h	(revision 1504)
+++ code/trunk/src/ois/linux/EventHelpers.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxForceFeedback.cpp
===================================================================
--- code/trunk/src/ois/linux/LinuxForceFeedback.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxForceFeedback.cpp	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxForceFeedback.h
===================================================================
--- code/trunk/src/ois/linux/LinuxForceFeedback.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxForceFeedback.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxInputManager.cpp
===================================================================
--- code/trunk/src/ois/linux/LinuxInputManager.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxInputManager.cpp	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxInputManager.h
===================================================================
--- code/trunk/src/ois/linux/LinuxInputManager.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxInputManager.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxJoyStickEvents.cpp
===================================================================
--- code/trunk/src/ois/linux/LinuxJoyStickEvents.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxJoyStickEvents.cpp	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxJoyStickEvents.h
===================================================================
--- code/trunk/src/ois/linux/LinuxJoyStickEvents.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxJoyStickEvents.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxKeyboard.cpp
===================================================================
--- code/trunk/src/ois/linux/LinuxKeyboard.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxKeyboard.cpp	(revision 1505)
@@ -304,8 +304,5 @@
 	while( XPending(display) > 0 )
 	{
-
 		XNextEvent(display, &event);
-
-
 
 		if( KeyPress == event.type )
@@ -339,5 +336,4 @@
 				linMan->_setGrabState(false);
 		}
-
 		else if( KeyRelease == event.type )
 		{
@@ -349,5 +345,4 @@
 			XLookupString(&event.xkey,NULL,0,&key,NULL);
 			_injectKeyUp(key);
-
 		}
 	}
Index: code/trunk/src/ois/linux/LinuxKeyboard.h
===================================================================
--- code/trunk/src/ois/linux/LinuxKeyboard.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxKeyboard.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxMouse.cpp
===================================================================
--- code/trunk/src/ois/linux/LinuxMouse.cpp	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxMouse.cpp	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxMouse.h
===================================================================
--- code/trunk/src/ois/linux/LinuxMouse.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxMouse.h	(revision 1505)
Index: code/trunk/src/ois/linux/LinuxPrereqs.h
===================================================================
--- code/trunk/src/ois/linux/LinuxPrereqs.h	(revision 1504)
+++ code/trunk/src/ois/linux/LinuxPrereqs.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacHIDManager.cpp
===================================================================
--- code/trunk/src/ois/mac/MacHIDManager.cpp	(revision 1504)
+++ code/trunk/src/ois/mac/MacHIDManager.cpp	(revision 1505)
Index: code/trunk/src/ois/mac/MacHIDManager.h
===================================================================
--- code/trunk/src/ois/mac/MacHIDManager.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacHIDManager.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacHelpers.cpp
===================================================================
--- code/trunk/src/ois/mac/MacHelpers.cpp	(revision 1504)
+++ code/trunk/src/ois/mac/MacHelpers.cpp	(revision 1505)
Index: code/trunk/src/ois/mac/MacHelpers.h
===================================================================
--- code/trunk/src/ois/mac/MacHelpers.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacHelpers.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacInputManager.cpp
===================================================================
--- code/trunk/src/ois/mac/MacInputManager.cpp	(revision 1504)
+++ code/trunk/src/ois/mac/MacInputManager.cpp	(revision 1505)
Index: code/trunk/src/ois/mac/MacInputManager.h
===================================================================
--- code/trunk/src/ois/mac/MacInputManager.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacInputManager.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacKeyboard.cpp
===================================================================
--- code/trunk/src/ois/mac/MacKeyboard.cpp	(revision 1504)
+++ code/trunk/src/ois/mac/MacKeyboard.cpp	(revision 1505)
Index: code/trunk/src/ois/mac/MacKeyboard.h
===================================================================
--- code/trunk/src/ois/mac/MacKeyboard.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacKeyboard.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacMouse.cpp
===================================================================
--- code/trunk/src/ois/mac/MacMouse.cpp	(revision 1504)
+++ code/trunk/src/ois/mac/MacMouse.cpp	(revision 1505)
Index: code/trunk/src/ois/mac/MacMouse.h
===================================================================
--- code/trunk/src/ois/mac/MacMouse.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacMouse.h	(revision 1505)
Index: code/trunk/src/ois/mac/MacPrereqs.h
===================================================================
--- code/trunk/src/ois/mac/MacPrereqs.h	(revision 1504)
+++ code/trunk/src/ois/mac/MacPrereqs.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32ForceFeedback.cpp
===================================================================
--- code/trunk/src/ois/win32/Win32ForceFeedback.cpp	(revision 1504)
+++ code/trunk/src/ois/win32/Win32ForceFeedback.cpp	(revision 1505)
Index: code/trunk/src/ois/win32/Win32ForceFeedback.h
===================================================================
--- code/trunk/src/ois/win32/Win32ForceFeedback.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32ForceFeedback.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32InputManager.cpp
===================================================================
--- code/trunk/src/ois/win32/Win32InputManager.cpp	(revision 1504)
+++ code/trunk/src/ois/win32/Win32InputManager.cpp	(revision 1505)
Index: code/trunk/src/ois/win32/Win32InputManager.h
===================================================================
--- code/trunk/src/ois/win32/Win32InputManager.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32InputManager.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32JoyStick.cpp
===================================================================
--- code/trunk/src/ois/win32/Win32JoyStick.cpp	(revision 1504)
+++ code/trunk/src/ois/win32/Win32JoyStick.cpp	(revision 1505)
Index: code/trunk/src/ois/win32/Win32JoyStick.h
===================================================================
--- code/trunk/src/ois/win32/Win32JoyStick.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32JoyStick.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32KeyBoard.cpp
===================================================================
--- code/trunk/src/ois/win32/Win32KeyBoard.cpp	(revision 1504)
+++ code/trunk/src/ois/win32/Win32KeyBoard.cpp	(revision 1505)
Index: code/trunk/src/ois/win32/Win32KeyBoard.h
===================================================================
--- code/trunk/src/ois/win32/Win32KeyBoard.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32KeyBoard.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32Mouse.cpp
===================================================================
--- code/trunk/src/ois/win32/Win32Mouse.cpp	(revision 1504)
+++ code/trunk/src/ois/win32/Win32Mouse.cpp	(revision 1505)
Index: code/trunk/src/ois/win32/Win32Mouse.h
===================================================================
--- code/trunk/src/ois/win32/Win32Mouse.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32Mouse.h	(revision 1505)
Index: code/trunk/src/ois/win32/Win32Prereqs.h
===================================================================
--- code/trunk/src/ois/win32/Win32Prereqs.h	(revision 1504)
+++ code/trunk/src/ois/win32/Win32Prereqs.h	(revision 1505)