Index: code/branches/shader/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/branches/shader/src/orxonox/GraphicsEngine.cc	(revision 1513)
+++ code/branches/shader/src/orxonox/GraphicsEngine.cc	(revision 1514)
@@ -399,3 +399,35 @@
   }
 
+  //HACK!!
+  SetConsoleCommandShortcut(GraphicsEngine, CompositorBloomOn).setAccessLevel(AccessLevel::User);
+  SetConsoleCommandShortcut(GraphicsEngine, CompositorMotionBlurOn).setAccessLevel(AccessLevel::User);
+  SetConsoleCommandShortcut(GraphicsEngine, CompositorBloomOff).setAccessLevel(AccessLevel::User);
+  SetConsoleCommandShortcut(GraphicsEngine, CompositorMotionBlurOff).setAccessLevel(AccessLevel::User);
+  void GraphicsEngine::CompositorBloomOn()
+  {
+    Ogre::SceneManager* mSceneMgr = GraphicsEngine::getSingleton().getSceneManager();
+    Ogre::Viewport* mViewport = mSceneMgr->getCurrentViewport();
+    Ogre::CompositorManager::getSingleton().addCompositor(mViewport, "Bloom");
+    Ogre::CompositorManager::getSingleton().setCompositorEnabled(mViewport, "Bloom", true);
+  }
+  void GraphicsEngine::CompositorBloomOff()
+  {
+    Ogre::SceneManager* mSceneMgr = GraphicsEngine::getSingleton().getSceneManager();
+    Ogre::Viewport* mViewport = mSceneMgr->getCurrentViewport();
+    Ogre::CompositorManager::getSingleton().setCompositorEnabled(mViewport, "Bloom", false);
+  }
+
+  void GraphicsEngine::CompositorMotionBlurOn()
+  {
+    Ogre::SceneManager* mSceneMgr = GraphicsEngine::getSingleton().getSceneManager();
+    Ogre::Viewport* mViewport = mSceneMgr->getCurrentViewport();
+    Ogre::CompositorManager::getSingleton().addCompositor(mViewport, "MotionBlur");
+    Ogre::CompositorManager::getSingleton().setCompositorEnabled(mViewport, "MotionBlur", true);
+  }
+  void GraphicsEngine::CompositorMotionBlurOff()
+  {
+    Ogre::SceneManager* mSceneMgr = GraphicsEngine::getSingleton().getSceneManager();
+    Ogre::Viewport* mViewport = mSceneMgr->getCurrentViewport();
+    Ogre::CompositorManager::getSingleton().setCompositorEnabled(mViewport, "MotionBlur", false);
+  }
 }
Index: code/branches/shader/src/orxonox/GraphicsEngine.h
===================================================================
--- code/branches/shader/src/orxonox/GraphicsEngine.h	(revision 1513)
+++ code/branches/shader/src/orxonox/GraphicsEngine.h	(revision 1514)
@@ -84,4 +84,10 @@
             static GraphicsEngine* getSingletonPtr() { return &getSingleton(); }
 
+            //HACK!!!
+            void static CompositorBloomOn();
+            void static CompositorBloomOff();
+            void static CompositorMotionBlurOn();
+            void static CompositorMotionBlurOff();
+
 
         private:
Index: code/branches/shader/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/shader/src/orxonox/Orxonox.cc	(revision 1513)
+++ code/branches/shader/src/orxonox/Orxonox.cc	(revision 1514)
@@ -354,4 +354,14 @@
     Loader::open(startlevel);
     
+    // HACK: shader stuff for presentation
+    Ogre::SceneManager* mSceneMgr = GraphicsEngine::getSingleton().getSceneManager();
+    mSceneMgr->setAmbientLight(ColourValue(0.4,0.4,0.4));
+    Ogre::Light* dirlight = mSceneMgr->createLight("Light1");
+
+    dirlight->setType(Ogre::Light::LT_DIRECTIONAL);
+    dirlight->setDirection(Vector3( 0, 1, 5 ));
+    dirlight->setDiffuseColour(ColourValue(0.6, 0.6, 0.4));
+    dirlight->setSpecularColour(ColourValue(1.0, 1.0, 1.0));
+    
     return true;
   }
Index: code/branches/shader/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/shader/src/orxonox/objects/Model.cc	(revision 1513)
+++ code/branches/shader/src/orxonox/objects/Model.cc	(revision 1514)
@@ -84,4 +84,25 @@
         this->attachObject(this->mesh_.getEntity());
 
+        //HACK!!
+        if ((this->meshSrc_ == "assff.mesh") || (this->meshSrc_ == "ast1.mesh") || (this->meshSrc_ == "ast2.mesh") || (this->meshSrc_ == "ast3.mesh") || (this->meshSrc_ == "ast4.mesh") ||(this->meshSrc_ == "ast5.mesh") || (this->meshSrc_ == "ast6.mesh"))
+        {
+          Ogre::MeshPtr pMesh = this->mesh_.getEntity()->getMesh();
+          //set Mesh to tangentspace 
+          unsigned short src, dest;
+          if (!pMesh->suggestTangentVectorBuildParams(Ogre::VES_TANGENT, src, dest))
+          {
+            pMesh->buildTangentVectors(Ogre::VES_TANGENT, src, dest);
+          }
+          if ((this->meshSrc_ == "assff.mesh"))
+          {
+            (this->mesh_.getEntity())->setMaterialName("Assff/BumpMap");
+          }
+          else
+          {
+            (this->mesh_.getEntity())->setMaterialName("Asteroid/BumpMap");
+          }
+
+
+        }
         COUT(4) << "Loader (Model.cc): Created model" << std::endl;
       }